#include "DxLib.h"
#include "MenuBack.h"

#define PI2 (3.141592654f*2)

static int m_imgBack;
static int m_imgMask;
static int m_imgOverLay;
static int m_Count;

// 読み込み
void MenuBack_Load(){
	m_imgBack = LoadGraph("img/top_back.png");
	m_imgMask = LoadMask("img/menu_back_mask.png");
	m_imgOverLay = LoadGraph("img/menu_back_over.png");
	m_Count = 0;
}

// 削除
void MenuBack_Delete(){
	DeleteGraph( m_imgBack );
	DeleteGraph( m_imgMask );
	DeleteGraph( m_imgOverLay );
}

// 回転計算（というよりカウンタ加算してるだけ）
void MenuBack_Calc(){
	m_Count++;
}

// 描画
void MenuBack_Graph(){
	DrawGraph( 0, 0, m_imgBack, FALSE );	// 背景描画
	CreateMaskScreen();	// マスクここから
	DrawMask( 0, 0, m_imgMask, DX_MASKTRANS_BLACK ); // 黒い所のみを描画領域に
	SetDrawBlendMode( DX_BLENDMODE_ADD, 255 );		 // 加算ブレンドに設定
	DrawRotaGraph2 ( 320, 240, 370, 370 , 1.0, PI2/240*m_Count, m_imgOverLay , TRUE);
	DrawRotaGraph2 ( 320, 240, 370, 370 , 1.0, PI2/240*(m_Count-120), m_imgOverLay , TRUE);
	SetDrawBlendMode( DX_BLENDMODE_NOBLEND, 0 );	 // ブレンドモードリセット
	DeleteMaskScreen(); // マスクここまで
}